Subject: Re: [PATCH RFC RFT net-next 00/10] Modernize mv88e6060 and remove legacy probe

From: Gregory CLEMENT <[email-masked]>
Date: Wed, 06 Feb 2019 12:31:06 +0100

Hi Andrew,
 
 On mer., janv. 30 2019, Andrew Lunn <[email-masked]> wrote:

> The mv88e6060 is the last device using the legacy method of probing an
> DSA Ethernet switch. This patchset applies some cleanups to the
> driver, and then adds support for probing the device as an MDIO bus
> device. The legacy probe is then removed from the driver, and then
> from DSA as a whole.
>
> This is compile tested only. Comment and testing welcome.
>
> It should not be merged yet, and one of the patches should go via
> arm-soc.
>
> Andrew Lunn (10):
>   net: dsa: mv88e6xxx: Remove legacy probe support
>   net: dsa: mv88e6060: Replace ds with priv
>   net: dsa: mv88e6060: Replace REG_WRITE macro
>   net: dsa: mv88e6060: Replace REG_READ macro
>   net: dsa: mv88e6060: Support probing as an mdio device
>   net: dsa: mv88e6060: Remove support for legacy probing
>   net: dsa: mv88e6060: Add SPDX header
>   net: dsa: Remove legacy probing support
>   arch: arm: dts: Remove disabled marvell,dsa properties
>   bt-bindings: net: DSA: Remove legacy binding

I saw there was some test already done on this series, but unless I am
wrong it was not applied yet.

Do you plan to send a new iteration soon?

I am asking because this week the dt part can be applied to be merged in
v5.1, whereas next week, it will be doable but as rc6 will be released
there will be less chance to be accepted.

Thanks,

Gregory

>
>  .../devicetree/bindings/net/dsa/dsa.txt       | 155 ----
>  arch/arm/boot/dts/armada-370-rd.dts           |  42 -
>  arch/arm/boot/dts/armada-388-clearfog.dts     |  58 --
>  arch/arm/boot/dts/armada-xp-linksys-mamba.dts |  47 --
>  arch/arm/boot/dts/kirkwood-dir665.dts         |  47 --
>  arch/arm/boot/dts/kirkwood-linksys-viper.dts  |  47 --
>  .../arm/boot/dts/kirkwood-mv88f6281gtw-ge.dts |  47 --
>  arch/arm/boot/dts/kirkwood-rd88f6281.dtsi     |  41 -
>  drivers/net/dsa/Kconfig                       |   2 +-
>  drivers/net/dsa/mv88e6060.c                   | 217 ++---
>  drivers/net/dsa/mv88e6060.h                   |   1 +
>  drivers/net/dsa/mv88e6xxx/chip.c              |  71 +-
>  include/net/dsa.h                             |  23 -
>  net/dsa/Kconfig                               |   9 -
>  net/dsa/Makefile                              |   1 -
>  net/dsa/dsa.c                                 |   5 -
>  net/dsa/dsa_priv.h                            |  12 -
>  net/dsa/legacy.c                              | 745 ------------------
>  18 files changed, 121 insertions(+), 1449 deletions(-)
>
> -- 
> 2.20.1
>

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com